︠81fe4afe-d5f1-4a06-8b1a-2df4499ae705︠
var('a b c d')

A = matrix([[a, b], [c, d]])
A
︡53d8639d-e5e1-47f1-bed7-eab412759333︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}\\left(\\begin{array}{rr}\na & b \\\\\nc & d\n\\end{array}\\right)</span>"}︡
︠02090b78-8184-448e-864d-81700a3ce507︠
det(A)
︡1f15ab81-f86e-4c31-b295-63bff368883f︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}a d - b c</span>"}︡
︠3f7a2095-516f-45b4-bf1c-e5444e7ed7f3i︠
%html
<p>The determinant of a 2 &times; 2 matrix is the difference between the left and right diagonal products.</p>
<p>If we visualize the matrix as a list of lists, $[[a, b], [c, d]]$, then<br /> the determinant is the difference between the outer and inner products.</p>
<p>Geometrically, if we interpret the 2 &times; 2 matrix as a point matrix, then the determinant (or its absolute value) is equal to the area of a parallelogram determined by that matrix:</p>

︡669f569a-e7b9-4d86-a487-753b2086295b︡{"html": "<p>The determinant of a 2 &times; 2 matrix is the difference between the left and right diagonal products.</p>\r\n<p>If we visualize the matrix as a list of lists, $[[a, b], [c, d]]$, then<br /> the determinant is the difference between the outer and inner products.</p>\r\n<p>Geometrically, if we interpret the 2 &times; 2 matrix as a point matrix, then the determinant (or its absolute value) is equal to the area of a parallelogram determined by that matrix:</p>"}︡
︠03b6f37c-31ca-4518-85c6-b2f729cfc63a︠
@interact

def _(diags = [False, True], a = (1..10), b = (1..10), c = (1..10), d = (1..10)):
    parallelogram = polygon([(0, 0), (a, b), (a+c, b+d), (c, d)], color = 'purple')
    background = polygon([(0, 0), (a+c, 0), (a+c, b+d), (0, b+d)], color = 'black')
    coordinate_lines = line([(a, 0), (a, b+d)], color = 'green', linestyle = '--') + \
                       line([(0, b), (a+c, b)], color = 'green', linestyle = '--') + \
                       line([(c, 0), (c, b+d)], color = 'green', linestyle = '--') + \
                       line([(0, d), (a+c, d)], color = 'green', linestyle = '--')
    coordinate_labels = text((0, 0), (0, 0), color = 'orange') + \
                        text((a, b), (a, b), color = 'orange') + \
                        text((c, d), (c, d), color = 'orange') + \
                        text((a+c, b+d), (a+c, b+d), color = 'orange')
    display = background + parallelogram + coordinate_lines + coordinate_labels
    if diags:
        if b/a > d/c:
            ydiag = line([(a, b), (0, b+d)], color = 'yellow', linestyle = '--')
            xdiag = line([(c, d), (a+c, 0)], color = 'yellow', linestyle = '--')
        else:
            ydiag = line([(c, d), (0, b+d)], color = 'yellow', linestyle = '--')
            xdiag = line([(a, b), (a+c, 0)], color = 'yellow', linestyle = '--') 
        display = display + ydiag + xdiag
    show(display, aspect_ratio = 1)
    rectangle = (a+c)*(b+d)
    if b/a > d/c: darts = (a+c)*d + (b+d)*a
    else: darts = (a+c)*b + (b+d)*c
    print 'Area of Parallelogram = |',a,'*',d,' - ',b,'*',c,'| = ',abs(a*d - b*c)
    print '\nArea of Rectangle - Surrounding Area = '
    print rectangle,' - ', darts,' = ', rectangle - darts
︡68885ea8-cf6f-4585-8854-ba97e36ab28a︡{"html": "<!--notruncate--><div padding=6 id='div-interact-4'> <table width=800px height=20px bgcolor='#c5c5c5'\n                 cellpadding=15><tr><td bgcolor='#f9f9f9' valign=top align=left><table><tr><td align=right><font color=\"black\">diags&nbsp;</font></td><td><table style=\"border:1px solid #dfdfdf;background-color:#efefef\">\n<tr><td><button style='border-style:inset;' value='0' onclick='$(\"BUTTON\", this.parentNode).css(\"border-style\", \"outset\"); $(this).css(\"border-style\", \"inset\"); interact(4, \"_interact_.update(4, \\\"diags\\\", 1, _interact_.standard_b64decode(\\\"\"+encode64(this.value)+\"\\\"), globals());_interact_.recompute(4)\")'>False</button>\n<button style='border-style:outset;' value='1' onclick='$(\"BUTTON\", this.parentNode).css(\"border-style\", \"outset\"); $(this).css(\"border-style\", \"inset\"); interact(4, \"_interact_.update(4, \\\"diags\\\", 1, _interact_.standard_b64decode(\\\"\"+encode64(this.value)+\"\\\"), globals());_interact_.recompute(4)\")'>True</button>\n</td></tr></table></td></tr>\n<tr><td align=right><font color=\"black\">a&nbsp;</font></td><td><table><tr><td>\n        <div id='slider-a-4' style='margin:0px; margin-left: 1.0em; margin-right: 1.0em; width: 15.0em;'></div>\n        </td><td><font color='black' id='slider-a-4-lbl'></font></td></tr></table><script>(function(){ var values = [\"1\",\"2\",\"3\",\"4\",\"5\",\"6\",\"7\",\"8\",\"9\",\"10\"]; setTimeout(function() {\n    $('#slider-a-4').slider({\n        step: 1, min: 0, max: 9, value: 0,\n        change: function (e,ui) { var position = ui.value; if(values!=null) $('#slider-a-4-lbl').text(values[position]); interact(4, \"_interact_.update(4, \\\"a\\\", 2, _interact_.standard_b64decode(\\\"\"+encode64(position)+\"\\\"), globals());_interact_.recompute(4)\"); },\n        slide: function(e,ui) { if(values!=null) $('#slider-a-4-lbl').text(values[ui.value]); }\n    });\n    if(values != null) $('#slider-a-4-lbl').text(values[$('#slider-a-4').slider('value')]);\n    }, 1); })();</script></td></tr>\n<tr><td align=right><font color=\"black\">b&nbsp;</font></td><td><table><tr><td>\n        <div id='slider-b-4' style='margin:0px; margin-left: 1.0em; margin-right: 1.0em; width: 15.0em;'></div>\n        </td><td><font color='black' id='slider-b-4-lbl'></font></td></tr></table><script>(function(){ var values = [\"1\",\"2\",\"3\",\"4\",\"5\",\"6\",\"7\",\"8\",\"9\",\"10\"]; setTimeout(function() {\n    $('#slider-b-4').slider({\n        step: 1, min: 0, max: 9, value: 0,\n        change: function (e,ui) { var position = ui.value; if(values!=null) $('#slider-b-4-lbl').text(values[position]); interact(4, \"_interact_.update(4, \\\"b\\\", 3, _interact_.standard_b64decode(\\\"\"+encode64(position)+\"\\\"), globals());_interact_.recompute(4)\"); },\n        slide: function(e,ui) { if(values!=null) $('#slider-b-4-lbl').text(values[ui.value]); }\n    });\n    if(values != null) $('#slider-b-4-lbl').text(values[$('#slider-b-4').slider('value')]);\n    }, 1); })();</script></td></tr>\n<tr><td align=right><font color=\"black\">c&nbsp;</font></td><td><table><tr><td>\n        <div id='slider-c-4' style='margin:0px; margin-left: 1.0em; margin-right: 1.0em; width: 15.0em;'></div>\n        </td><td><font color='black' id='slider-c-4-lbl'></font></td></tr></table><script>(function(){ var values = [\"1\",\"2\",\"3\",\"4\",\"5\",\"6\",\"7\",\"8\",\"9\",\"10\"]; setTimeout(function() {\n    $('#slider-c-4').slider({\n        step: 1, min: 0, max: 9, value: 0,\n        change: function (e,ui) { var position = ui.value; if(values!=null) $('#slider-c-4-lbl').text(values[position]); interact(4, \"_interact_.update(4, \\\"c\\\", 4, _interact_.standard_b64decode(\\\"\"+encode64(position)+\"\\\"), globals());_interact_.recompute(4)\"); },\n        slide: function(e,ui) { if(values!=null) $('#slider-c-4-lbl').text(values[ui.value]); }\n    });\n    if(values != null) $('#slider-c-4-lbl').text(values[$('#slider-c-4').slider('value')]);\n    }, 1); })();</script></td></tr>\n<tr><td align=right><font color=\"black\">d&nbsp;</font></td><td><table><tr><td>\n        <div id='slider-d-4' style='margin:0px; margin-left: 1.0em; margin-right: 1.0em; width: 15.0em;'></div>\n        </td><td><font color='black' id='slider-d-4-lbl'></font></td></tr></table><script>(function(){ var values = [\"1\",\"2\",\"3\",\"4\",\"5\",\"6\",\"7\",\"8\",\"9\",\"10\"]; setTimeout(function() {\n    $('#slider-d-4').slider({\n        step: 1, min: 0, max: 9, value: 0,\n        change: function (e,ui) { var position = ui.value; if(values!=null) $('#slider-d-4-lbl').text(values[position]); interact(4, \"_interact_.update(4, \\\"d\\\", 5, _interact_.standard_b64decode(\\\"\"+encode64(position)+\"\\\"), globals());_interact_.recompute(4)\"); },\n        slide: function(e,ui) { if(values!=null) $('#slider-d-4-lbl').text(values[ui.value]); }\n    });\n    if(values != null) $('#slider-d-4-lbl').text(values[$('#slider-d-4').slider('value')]);\n    }, 1); })();</script></td></tr>\n</table><div id='cell-interact-4'><?__SAGE__START>\n        <table border=0 bgcolor='#white' width=100% height=100%>\n        <tr><td bgcolor=white align=left valign=top><pre><?__SAGE__TEXT></pre></td></tr>\n        <tr><td  align=left valign=top><?__SAGE__HTML></td></tr>\n        </table><?__SAGE__END></div></td>\n                 </tr></table></div>\n                 "}︡
︠89cf0b83-fa2f-418c-9b4d-dc895210a227︠
var('a b c d')

rectangle = (a + c)*(b + d)

darts = (a+c)*b + (b+d)*c
#darts = (a+c)*d + (b+d)*c
#darts = (a+c)*b + (b+d)*a
#darts = (a+c)*d + (b+d)*a

rectangle - darts
︡8769f0ca-3516-4899-b093-74c211427e87︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}{\\left(b + d\\right)} {\\left(a + c\\right)} - {\\left(b + d\\right)} c - {\\left(a + c\\right)} b</span>"}︡
︠ec773786-5b19-49c4-b9e0-9637da602cd4︠
expand(rectangle - darts)
︡5801470e-8de7-47a2-b2a7-3014e2833809︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}a d - b c</span>"}︡
︠69fe2c0a-9397-4e30-8fc9-70176229bc54i︠
%html
<p>The absolute value of the determinant of a 2 &times; 2 matrix point matrix is the area of the parallelogram whose sides are vectors determined by that matrix.</p>
<p>If the matrix is $[(a, b), (c, d)]$, then the parallelogram would have sides that are vectors originating at $(0, 0)$, continuing through $(a, b)$ and $(c, d)$, and terminating at $(a+c, b+d)$.&nbsp;</p>
<p>This terminating point is also known as the <em>resultant</em> of the two vectors.</p>

<p>Cramer's Rule</p>
<p style="padding-left: 60px;">$a_1x + b_1y = c_1$<br /> $a_2x + b_2y = c_2$</p>

︡154de821-293b-4c40-940e-b0cd438ee6e5︡{"html": "<p>The absolute value of the determinant of a 2 &times; 2 matrix point matrix is the area of the parallelogram whose sides are vectors determined by that matrix.</p>\r\n<p>If the matrix is $[(a, b), (c, d)]$, then the parallelogram would have sides that are vectors originating at $(0, 0)$, continuing through $(a, b)$ and $(c, d)$, and terminating at $(a+c, b+d)$.&nbsp;</p>\r\n<p>This terminating point is also known as the <em>resultant</em> of the two vectors.</p>\r\n\r\n<p>Cramer's Rule</p>\r\n<p style=\"padding-left: 60px;\">$a_1x + b_1y = c_1$<br /> $a_2x + b_2y = c_2$</p>"}︡
︠74746226-88f9-439f-83f0-cd12dd67f909︠
var('a1, b1, c1, a2, b2, c2, x, y')
︡954179c1-44e8-4c18-a006-7c2e9a102a5c︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}\\left(a_{1}, b_{1}, c_{1}, a_{2}, b_{2}, c_{2}, x, y\\right)</span>"}︡
︠a4cc90c3-40a1-4148-9ba4-25e7bd4021ffi︠
%html
<p>If you want to see Cramer's Rule using specific values, enter those values below and evaluate the cell.</p>
<p>If you want to see the purely symbolic form, skip the following cell and evaluate the next one.</p>

︡de49ba26-2780-46ba-ae2c-7f0067087115︡{"html": "<p>If you want to see Cramer's Rule using specific values, enter those values below and evaluate the cell.</p>\n<p>If you want to see the purely symbolic form, skip the following cell and evaluate the next one.</p>"}︡
︠95979633-b831-4bb5-b9e6-292c89cf915c︠
a1, b1, c1 = 1, 2, 3
a2, b2, c2 = 6, 7, 8
︡fe7b0ea7-7e49-4a2a-a025-f4025bd8b308︡︡
︠d439d6c6-fa1d-4f4e-a188-0e3b5ca36811︠
a1*x + b1*y == c1; a2*x + b2*y == c2
︡e329b022-c0b2-4938-be6c-46d9b7facae3︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}a_{1} x + b_{1} y = c_{1}</span>"}︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}a_{2} x + b_{2} y = c_{2}</span>"}︡
︠00886f32-f4e5-43c3-bf08-65b887851fef︠
D = matrix([[a1, b1], [a2, b2]])
D; det(D)
︡acfaa23c-9f95-4140-9abf-8633c7e7a97c︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}\\left(\\begin{array}{rr}\na_{1} & b_{1} \\\\\na_{2} & b_{2}\n\\end{array}\\right)</span>"}︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}a_{1} b_{2} - a_{2} b_{1}</span>"}︡
︠93d6f55b-02bc-45b0-82de-150bebb55575︠
Dx = matrix([[c1, b1], [c2, b2]])
Dx; det(Dx)
︡bc7e990d-c072-4e89-a538-f278706f51b5︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}\\left(\\begin{array}{rr}\nc_{1} & b_{1} \\\\\nc_{2} & b_{2}\n\\end{array}\\right)</span>"}︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}-b_{1} c_{2} + b_{2} c_{1}</span>"}︡
︠071d1ad0-6472-4cc8-80fa-d6f0b6a30bae︠
Dy = matrix([[a1, c1], [a2, c2]])
Dy; det(Dy)
︡61043732-4d19-4d24-a231-e881ab9b880e︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}\\left(\\begin{array}{rr}\na_{1} & c_{1} \\\\\na_{2} & c_{2}\n\\end{array}\\right)</span>"}︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}a_{1} c_{2} - a_{2} c_{1}</span>"}︡
︠a031fe70-b56f-4c57-816d-39356e6e6c95︠
x, y = det(Dx)/det(D), det(Dy)/det(D)
x, y
︡c2c3f382-409e-4d60-b72b-09abbeb95213︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}\\left(-\\frac{{\\left(b_{1} c_{2} - b_{2} c_{1}\\right)}}{{\\left(a_{1} b_{2} - a_{2} b_{1}\\right)}}, \\frac{{\\left(a_{1} c_{2} - a_{2} c_{1}\\right)}}{{\\left(a_{1} b_{2} - a_{2} b_{1}\\right)}}\\right)</span>"}︡
︠c382bc24-4701-4abe-a0b6-2319d4a61d89i︠
%html
<p style="padding-left: 30px;">$a_1x + b_1y + c_1z = d_1$<br /> $a_2x + b_2y + c_2z = d_2$<br /> $a_3x + b_3y + c_3z = d_3$</p>

︡14bce031-e553-4ce4-b3c3-563235462a9b︡{"html": "<p style=\"padding-left: 30px;\">$a_1x + b_1y + c_1z = d_1$<br /> $a_2x + b_2y + c_2z = d_2$<br /> $a_3x + b_3y + c_3z = d_3$</p>"}︡
︠c84cfc04-c7d4-49d6-be5c-ad8739ab4d74︠
var('a1, b1, c1, d1, a2, b2, c2, d2, a3, b3, c3, d3, x, y, z')
︡244cc867-d339-44bf-81b3-ce4346ed5c27︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}\\left(a_{1}, b_{1}, c_{1}, d_{1}, a_{2}, b_{2}, c_{2}, d_{2}, a_{3}, b_{3}, c_{3}, d_{3}, x, y, z\\right)</span>"}︡
︠d8b789ac-6939-4c62-b4e0-a071048f05edi︠
%html
<p><span id="cell_outer_5">
<div id="cell_text_5">
<p>If you want to see Cramer's Rule using specific values, enter those values below and evaluate the cell.</p>
<p>If you want to see the purely symbolic form, skip the following cell and evaluate the next one.</p>
</div>
</span></p>

︡47bcd951-21a6-402f-888b-35123b03fbdd︡{"html": "<p><span id=\"cell_outer_5\">\n<div id=\"cell_text_5\">\n<p>If you want to see Cramer's Rule using specific values, enter those values below and evaluate the cell.</p>\n<p>If you want to see the purely symbolic form, skip the following cell and evaluate the next one.</p>\n</div>\n</span></p>"}︡
︠8c05118a-ddcc-42ac-aac1-da7cfc3f40f9︠
a1, b1, c1, d1 = 2, 1, 1, 3
a2, b2, c2, d2 = 1, -1, -1, 0
a3, b3, c3, d3 = 1, 2, 1, 0
︡16405467-371e-4479-a43e-1055db8ad6f5︡︡
︠c8147512-3b7f-49b7-9549-b607a879c6d8︠
a1*x + b1*y + c1*z == d1; a2*x + b2*y + c2*z == d2; a3*x + b3*y + c3*z == d3
︡46acc1da-5953-4499-9403-53e74d7c2059︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}2 \\, x + y + z = 3</span>"}︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}x - y - z = 0</span>"}︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}x + 2 \\, y + z = 0</span>"}︡
︠64783378-6339-4d48-b844-2506a8adbc8e︠
D = matrix([[a1, b1, c1], [a2, b2, c2], [a3, b3, c3]])
D; det(D)
︡13ab59b5-1c93-425a-9abd-4acac2fb1700︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}\\left(\\begin{array}{rrr}\n2 & 1 & 1 \\\\\n1 & -1 & -1 \\\\\n1 & 2 & 1\n\\end{array}\\right)</span>"}︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}3</span>"}︡
︠c2077fa5-49cb-4f1e-b0ba-a3efb1b7b68e︠
Dx = matrix([[d1, b1, c1], [d2, b2, c2], [d3, b3, c3]])
Dx; det(Dx)
︡7249b855-a6b8-43ba-9cf6-11c52dd33434︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}\\left(\\begin{array}{rrr}\n3 & 1 & 1 \\\\\n0 & -1 & -1 \\\\\n0 & 2 & 1\n\\end{array}\\right)</span>"}︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}3</span>"}︡
︠267ee72c-70c9-418a-921a-5c36b38dcd68︠
Dy = matrix([[a1, d1, c1], [a2, d2, c2], [a3, d3, c3]])
Dy; det(Dy)
︡2bce305f-22ff-4c73-971d-7c662b0e1867︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}\\left(\\begin{array}{rrr}\n2 & 3 & 1 \\\\\n1 & 0 & -1 \\\\\n1 & 0 & 1\n\\end{array}\\right)</span>"}︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}-6</span>"}︡
︠9d2f8d99-314e-4287-bf6f-4badf09170b2︠
Dz = matrix([[a1, b1, d1], [a2, b2, d2], [a3, b3, d3]])
Dz; det(Dz)
︡d07e34cf-e6bb-496f-951d-61396a257903︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}\\left(\\begin{array}{rrr}\n2 & 1 & 3 \\\\\n1 & -1 & 0 \\\\\n1 & 2 & 0\n\\end{array}\\right)</span>"}︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}9</span>"}︡
︠03d864f9-658f-49df-8890-70251c60f861︠
x, y, z = det(Dx)/det(D), det(Dy)/det(D), det(Dz)/det(D)
x, y, z
︡0c7673cb-3994-4e41-9229-6c78eeb3fe98︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}\\left(1, -2, 3\\right)</span>"}︡
